
  @import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@300;500&display=swap');


*{
    margin: 0;
    padding: 0;
}
body{
    font-family: 'Roboto Mono', monospace;

    }
.container {
    text-align: center;
    margin: 0 auto;

}
h2 {
    margin: 20px;
    color: #585858;
    background: #ddd;
    padding: 10px 0px;
    border-bottom: 1px solid  #b7b7b7;
}
.love {
    display: inline-block;
    text-align: left;
    padding: 30px;
    border: 1px solid #ccc;
    border-radius: 5px;
    min-height: 300px;
    position: relative;
    width: 300px;
    height: 380px;
}
.love::after {
    background-image: url(./images/love.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    content: "";
    top: 0;
    left: 0;
    position: absolute;
    width: 100%;
    height: 300px;
    z-index: -1;
    opacity: 0.1;
}

.love label {
    display: block;
    margin-bottom: 5px;
}

.love input {
    width: 90%;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
    cursor: pointer;
    overflow: hidden;
    padding: 10px;
    outline: none;
}
#btn, #btn2 {
    padding: 10px 20px;
    background-color: #000000;
    color: #fff;
    border: 1px solid #ddd;
    border-radius: 3px;
    cursor: pointer;
}
#btn {
    position: relative;
    overflow: hidden;
    z-index: 1;
}

#btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background-color: #fff;
    transition: left 0.3s ease;
    z-index: -1;
    
}

#btn:hover::before {
    left: 0;
}
#btn:hover {
    color: #000; /* Change text color to white on hover */
}
button#btn2 {
    background: #ddd;
    color: #666;
    border: 1px solid #a7a7a7;
}
p#result {
    margin-top: 20px;
    text-shadow: 0px 1px #767676;
    font-size: 18px;
    font-weight: 300;
}
span.love-percentage {
    border: 1px solid #ff6464;
    border-radius: 50%;
    padding: 11px;
    line-height: 45px;
    background: #ddd;
    color: #ff005c;
    box-shadow: 2px 2px 7px #ff6767;
    font-size: 18px;
    margin: 10px;
}
img#loveGif {
    width: 100px;
    height: 100px;
}
img#loveGif {
    width: 130px;
    height: 130px;
    text-align: center;
    margin: 0 auto;
    border-radius: 50%;
    transition: 0.5s all ease;
}
